Author Topic: 5.1.0 released and available for download  (Read 1250 times)

0 Members and 1 Guest are viewing this topic.

Offline bson

  • Supporter
  • ****
  • Posts: 1529
  • Country: us
 
The following users thanked this post: Warhawk

Offline Warhawk

  • Frequent Contributor
  • **
  • Posts: 431
  • Country: 00
    • Personal resume
Re: 5.1.0 released and available for download
« Reply #1 on: March 15, 2019, 10:20:47 pm »
Neat ! Can't wait to test it.

Offline cowasaki

  • Frequent Contributor
  • **
  • Posts: 384
  • Country: gb
Re: 5.1.0 released and available for download
« Reply #2 on: March 26, 2019, 11:05:36 am »
But I still can't get it to work!

I really enjoyed version 4 and used it to have boards made.  I get constant error about missing libraries and empty libraries, missing footprints, general crashes etc etc with version 5

Why oh why can't there just be a script to install it whilst removing all trace of version 4?  I'm spending maybe 3 or 4 times as long trying to get it to work as trying to remember how to use it!!

Rant over.......

Until I try all over again.
 

Offline Bassman59

  • Super Contributor
  • ***
  • Posts: 1181
  • Country: us
  • Yes, I do this for a living
Re: 5.1.0 released and available for download
« Reply #3 on: March 26, 2019, 02:36:15 pm »
But I still can't get it to work!

I really enjoyed version 4 and used it to have boards made.  I get constant error about missing libraries and empty libraries, missing footprints, general crashes etc etc with version 5

Why oh why can't there just be a script to install it whilst removing all trace of version 4?  I'm spending maybe 3 or 4 times as long trying to get it to work as trying to remember how to use it!!

Rant over.......

Until I try all over again.

What OS do you use?
 

Offline cowasaki

  • Frequent Contributor
  • **
  • Posts: 384
  • Country: gb
Re: 5.1.0 released and available for download
« Reply #4 on: March 26, 2019, 06:48:12 pm »
But I still can't get it to work!

I really enjoyed version 4 and used it to have boards made.  I get constant error about missing libraries and empty libraries, missing footprints, general crashes etc etc with version 5

Why oh why can't there just be a script to install it whilst removing all trace of version 4?  I'm spending maybe 3 or 4 times as long trying to get it to work as trying to remember how to use it!!

Rant over.......

Until I try all over again.

What OS do you use?

macOS

I got it nearly working to the point where I was able to design a board, populate it, lay it out and export the 3D image to fusion BUT I had to pick specific components that it was happy with. Lots of components are listed as folders but don’t exist or more so don’t have layouts. Things like a 6 pin 2.54 pitch header don’t exist and I cannot change a component without it crashing. I get strings of errors on startup now as well. I deleted a file that was recreated on startup and helped (df something. Can’t remember and I’m not at home)  but still not fully working.

It needs a oversight everything and install as if fresh option which copies data to a folder call maybe kicadold.

I really like it but it’s become a nightmare to use.

UPDATE: Well I've just completely re-installed my MacBook Pro.....  KiCAD appears to be working so far.  I will have a good look at version 5.1 tomorrow after I finish installing everything.  It was worth doing anyway for space and removal of a lot of stuff I don't use.  I'm hoping the Arduino IDE starts working properly too.
« Last Edit: March 27, 2019, 11:02:13 am by cowasaki »
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf